/*

floupix ping pong - A multiplayer game for saturn
Copyright (C) 2004 SSMTF

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PATICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include	"sgl.h"

#include "sprites/bmpsprite.c"
#include "sprites/titre.c"
#include "sprites/ssmtf.c"
#include "sprites/tr_saut.c"
#include "sprites/bonus.c"
#include "sprites/course.c"
	
SPR_ATTR attr[] = {
  SPR_ATTRIBUTE(0,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
  SPR_ATTRIBUTE(1,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
  SPR_ATTRIBUTE(2,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
  SPR_ATTRIBUTE(3,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
  SPR_ATTRIBUTE(4,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
  SPR_ATTRIBUTE(5,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(6,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
  SPR_ATTRIBUTE(7,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
  SPR_ATTRIBUTE(8,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
  SPR_ATTRIBUTE(9,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
  SPR_ATTRIBUTE(10,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),	
  SPR_ATTRIBUTE(11,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(12,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(13,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(14,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(15,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(16,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(17,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(18,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(19,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(20,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(21,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(22,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(23,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(24,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(25,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(26,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(27,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(28,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(29,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(30,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(31,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(32,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(33,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(34,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  SPR_ATTRIBUTE(35,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  //  SPR_ATTRIBUTE(36,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  //  SPR_ATTRIBUTE(37,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  //  SPR_ATTRIBUTE(38,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  //  SPR_ATTRIBUTE(39,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip),
  //  SPR_ATTRIBUTE(40,No_Palet,No_Gouraud,CL32KRGB|ECdis,sprNoflip)
};

TEXTURE tex_spr[] = {
  TEXDEF(32,32,(0*32*32)),
  TEXDEF(32,32,(1*32*32)),
  TEXDEF(32,32,(2*32*32)),
  TEXDEF(32,32,(3*32*32)),
  TEXDEF(32,32,(4*32*32)),
  TEXDEF(32,32,(5*32*32)),
  TEXDEF(32,32,(6*32*32)),
  TEXDEF(32,32,(7*32*32)),
  TEXDEF(32,32,(8*32*32)),
  TEXDEF(32,32,(9*32*32)),
  TEXDEF(32,32,(10*32*32)),
  TEXDEF(32,32,(11*32*32)),
  TEXDEF(32,32,(12*32*32)),
  TEXDEF(32,32,(13*32*32)),
  TEXDEF(32,32,(14*32*32)),
  TEXDEF(32,32,(15*32*32)),
  TEXDEF(32,32,(16*32*32)),
  TEXDEF(32,32,(17*32*32)),
  TEXDEF(32,32,(18*32*32)),
  TEXDEF(160,100,((19*32*32)+(0*160*100))),
  TEXDEF(160,100,((19*32*32)+(1*160*100))),
  TEXDEF(32,16,((19*32*32)+(2*160*100)+(0*32*16))),
  TEXDEF(32,16,((19*32*32)+(2*160*100)+(1*32*16))),
  TEXDEF(32,16,((19*32*32)+(2*160*100)+(2*32*16))),
  TEXDEF(32,16,((19*32*32)+(2*160*100)+(3*32*16))),
  TEXDEF(8,8,((19*32*32)+(2*160*100)+(4*32*16)+(0*8*8))),
  TEXDEF(8,8,((19*32*32)+(2*160*100)+(4*32*16)+(1*8*8))),
  TEXDEF(8,8,((19*32*32)+(2*160*100)+(4*32*16)+(2*8*8))),
  TEXDEF(8,8,((19*32*32)+(2*160*100)+(4*32*16)+(3*8*8))),
  TEXDEF(8,8,((19*32*32)+(2*160*100)+(4*32*16)+(4*8*8))),
  TEXDEF(8,8,((19*32*32)+(2*160*100)+(4*32*16)+(5*8*8))),
  TEXDEF(8,8,((19*32*32)+(2*160*100)+(4*32*16)+(6*8*8))),
  TEXDEF(8,8,((19*32*32)+(2*160*100)+(4*32*16)+(7*8*8))),
  TEXDEF(8,8,((19*32*32)+(2*160*100)+(4*32*16)+(8*8*8))),
  TEXDEF(8,8,((19*32*32)+(2*160*100)+(4*32*16)+(9*8*8))),
  //  TEXDEF(64,64,((19*32*32)+(2*160*100)+(4*32*16)+(10*8*8)+(0*64*64))),
  //  TEXDEF(64,64,((19*32*32)+(2*160*100)+(4*32*16)+(10*8*8)+(1*64*64))),
  //  TEXDEF(64,64,((19*32*32)+(2*160*100)+(4*32*16)+(10*8*8)+(2*64*64))),
  //  TEXDEF(64,64,((19*32*32)+(2*160*100)+(4*32*16)+(10*8*8)+(3*64*64))),
  //  TEXDEF(64,64,((19*32*32)+(2*160*100)+(4*32*16)+(10*8*8)+(4*64*64)))
};

PICTURE pic_spr[] = {
  PICDEF(0,COL_32K,bmpsprite + (0*1024)),
  PICDEF(1,COL_32K,bmpsprite + (1* 1024)),
  PICDEF(2,COL_32K,bmpsprite + (2 * 1024)),
  PICDEF(3,COL_32K,bmpsprite + (3 * 1024)),
  PICDEF(4,COL_32K,bmpsprite + (4 * 1024)),
  PICDEF(5,COL_32K,bmpsprite + (5 * 1024)),
  PICDEF(6,COL_32K,bmpsprite + (6 * 1024)),
  PICDEF(7,COL_32K,bmpsprite + (7 * 1024)),
  PICDEF(8,COL_32K,bmpsprite + (8 * 1024)),
  PICDEF(9,COL_32K,bmpsprite + (9 * 1024)),
  PICDEF(10,COL_32K,bmpsprite + (10 * 1024)),
  PICDEF(11,COL_32K,bmpsprite + (11 * 1024)),
  PICDEF(12,COL_32K,bmpsprite + (12 * 1024)),
  PICDEF(13,COL_32K,bmpsprite + (13 * 1024)),
  PICDEF(14,COL_32K,bmpsprite + (14 * 1024)),
  PICDEF(15,COL_32K,bmpsprite + (15 * 1024)),
  PICDEF(16,COL_32K,bmpsprite + (16 * 1024)),
  PICDEF(17,COL_32K,bmpsprite + (17 * 1024)),
  PICDEF(18,COL_32K,bmpsprite + (18 * 1024)),
  PICDEF(19,COL_32K,titre),
  PICDEF(20,COL_32K,ssmtf),
  PICDEF(21,COL_32K,tr_saut+(0*32*16)),
  PICDEF(22,COL_32K,tr_saut+(1*32*16)),
  PICDEF(23,COL_32K,tr_saut+(2*32*16)),  
  PICDEF(24,COL_32K,tr_saut+(3*32*16)),
  PICDEF(25,COL_32K,bonus+(0*8*8)),
  PICDEF(26,COL_32K,bonus+(1*8*8)),
  PICDEF(27,COL_32K,bonus+(2*8*8)),
  PICDEF(28,COL_32K,bonus+(3*8*8)),
  PICDEF(29,COL_32K,bonus+(4*8*8)),
  PICDEF(30,COL_32K,bonus+(5*8*8)),
  PICDEF(31,COL_32K,bonus+(6*8*8)),
  PICDEF(32,COL_32K,bonus+(7*8*8)),
  PICDEF(33,COL_32K,bonus+(8*8*8)),
  PICDEF(34,COL_32K,bonus+(9*8*8)),
  //  PICDEF(35,COL_32K,course+(0*64*64)),
  //  PICDEF(36,COL_32K,course+(1*64*64)),
  //  PICDEF(37,COL_32K,course+(2*64*64)),
  //  PICDEF(38,COL_32K,course+(3*64*64)),
  //  PICDEF(39,COL_32K,course+(4*64*64))
};








