#include "trigolo.h"

FIXED Sinus_table[256];
FIXED Cosinus_table[256];


void trigolo_init(){
  int i;
  for (i=0;i<256;i++){
    ANGLE ang = ((Sint16)(i))<<8 & (0xFF00);
    Sinus_table[i]   = slSin(ang);
    Cosinus_table[i] = slCos(ang);
  }
}

inline FIXED sinus(ANGLE ang){
  //  return slSin(ang);
  return Sinus_table[(ang>>8)&0xFF];
}

inline FIXED cosinus(ANGLE ang){
  //    return slCos(ang);
  return Cosinus_table[(ang>>8)&0xFF];
}
