#include "sgl.h"
#include "bup.h"

#define SLOT_NAME "SSMTank"

void bandelettes_init(BANDELETTES* b){
  b->version = SAV_VERSION;
  b->n_on = 0;
  b->n_games = 0;
  b->game_n_round = 5;
  b->game_add_cipius = 1;
}

int bup_charge(BANDELETTES* b){

  int i;
  int found=0;
  MemoryFile mf;
  
  updateDir_Backup(0);
  int max = getFileNum_Backup(0);
  for (i=0;i<max;i++){
    char* name = getName_Backup(0,i);
    slPrint(name,slLocate(1,10+i));   
    
    if (strcmp(SLOT_NAME,name)==0){
      slPrint("-",slLocate(20,10+i));   
      loadFile_Backup(0,i,&mf);
      memcpy(b,mf.data,sizeof(BANDELETTES));
      found = 1;
    }
  }
  return found;
}

void bup_sauve(BANDELETTES* b){

  MemoryFile mf;

  strcpy(mf.name,SLOT_NAME);

  SmpcDateTime  *time;
  time=&(Smpc_Status->rtc);
  mf.year =(Uint8)(slDec2Hex(time->year));
  mf.month = (Uint8)(time->month&0x0f);
  mf.day = (Uint8)(time->date);
  mf.weekday = (Uint8)(time->month);//>>4);
  mf.hour = (Uint8)(time->hour);
  mf.minute = (Uint8)(time->minute);

  mf.size=sizeof(BANDELETTES);
  mf.data = (void*) b;

  int a  = saveFile_Backup(0,&mf);
  if (a!=-3) {  
    slPrint("ok",slLocate(10,10));
  } else { 
    slPrint("ko",slLocate(10,10));
  }
  
}


void persist_load(BANDELETTES* b){

  int loadok = bup_charge(b);
  int rebuild = 0;

  if (!loadok){
    rebuild = 1;
  } else {
    if (b->version != SAV_VERSION) 
      rebuild = 1;
  }
  if (rebuild){
    bandelettes_init(b);
    bup_sauve(b);
  }

}

void persist_save(BANDELETTES* b){
  bup_sauve(b);
}
